# Strapi

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/strapi/status.svg)](https://drone.autonomic.zone/coop-cloud/strapi)

<!-- metadata -->
* **Category**: Development
* **Status**: ❸🍎
* **Image**: [`strapi/strapi`](https://hub.docker.com/r/strapi/strapi), ❶💚, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: ❷💛
* **SSO**: No
<!-- endmetadata -->

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][compose-traefik]
3. `abra app new strapi --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/coop-cloud/traefik
